curl --request GET \
--url https://api.hubapi.com/cms/url-redirects/2026-03 \
--header 'Authorization: Bearer <token>'{
"results": [
{
"created": "2023-11-07T05:31:56Z",
"destination": "<string>",
"id": "<string>",
"isMatchFullUrl": true,
"isMatchQueryString": true,
"isOnlyAfterNotFound": true,
"isPattern": true,
"isProtocolAgnostic": true,
"isTrailingSlashOptional": true,
"precedence": 123,
"redirectStyle": 123,
"routePrefix": "<string>",
"updated": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Retrieve a list of URL redirects configured in your HubSpot account. This endpoint allows you to filter redirects based on their creation or update timestamps, and sort the results. It supports pagination and can include archived redirects if specified.
curl --request GET \
--url https://api.hubapi.com/cms/url-redirects/2026-03 \
--header 'Authorization: Bearer <token>'{
"results": [
{
"created": "2023-11-07T05:31:56Z",
"destination": "<string>",
"id": "<string>",
"isMatchFullUrl": true,
"isMatchQueryString": true,
"isOnlyAfterNotFound": true,
"isPattern": true,
"isProtocolAgnostic": true,
"isTrailingSlashOptional": true,
"precedence": 123,
"redirectStyle": 123,
"routePrefix": "<string>",
"updated": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
Whether to return only results that have been archived.
The maximum number of results to display per page.
Was this page helpful?